#include "point.h"
#include "MedianCut.h"


// Get it's luminance value
//----------------------------------------------------------------------------------------------------------------------
float Point::lum() const
{
  return MedianCut::Lum( m_colour );
}

//----------------------------------------------------------------------------------------------------------------------
// Get the angles
void Point::angles(
                   float& _theta,
                   float& _phi,
                   bool _mode
                  ) const
{
  if (_mode == true)
  {
    MedianCut::GetSphericalCoordinateSphere( m_x, m_y, _theta, _phi );
  }
  else
  {
    MedianCut::GetSphericalCoordinateDome( m_x, m_y, _theta, _phi );
  }
}
//----------------------------------------------------------------------------------------------------------------------

