#ifndef __UTIL_H__
#define __UTIL_H__


#include <string>
#include <iostream>
#include <ImfRgbaFile.h>

class Error
{
public:

	Error() : error( "Unknown error thrown" ) 
	{
		std::cerr<<error<<std::endl ;
	}
	Error( const std::string& sz ) : error( sz )
	{
		std::cerr<< error <<std::endl;
	}
	
	std::string error;
};

extern float CosineScale( float d, float max );
extern void Attenuate( Imf::Rgba& c, float scale );
extern void AttenuateCosine( Imf::Rgba& c, float d, float max );
extern void AttenuateCosine( float& f, float d, float max );
#endif

